com.example.anna.phototag

## Class NavigationDrawerFragmentEdit

- java.lang.Object
- - android.support.v4.app.Fragment
  - - com.example.anna.phototag.NavigationDrawerFragmentEdit

- All Implemented Interfaces:
    android.content.ComponentCallbacks, android.view.View.OnCreateContextMenuListener, java.io.Serializable

      public class NavigationDrawerFragmentEdit
      extends android.support.v4.app.Fragment
      implements java.io.Serializable

  Fragment used for managing interactions for and presentation of a navigation drawer. See the design guidelines for a complete explanation of the behaviors implemented here.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `NavigationDrawerFragmentEdit.NavigationDrawerCallbacks` Callbacks interface that all activities using this fragment must implement.

    - ### Nested classes/interfaces inherited from class android.support.v4.app.Fragment

      `android.support.v4.app.Fragment.InstantiationException, android.support.v4.app.Fragment.SavedState`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NavigationDrawerFragmentEdit()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isDrawerOpen()`
    `void` | `onActivityCreated(android.os.Bundle savedInstanceState)` Called when the fragment's activity has been created and this fragment's view hierarchy instantiated.
    `void` | `onAttach(android.app.Activity activity)` Called when a fragment is first attached to its activity.
    `void` | `onConfigurationChanged(android.content.res.Configuration newConfig)` Called by the system when the device configuration changes while your component is running.
    `void` | `onCreate(android.os.Bundle savedInstanceState)` Called to do initial creation of a fragment.
    `void` | `onCreateOptionsMenu(android.view.Menu menu, android.view.MenuInflater inflater)` Initialize the contents of the Activity's standard options menu.
    `android.view.View` | `onCreateView(android.view.LayoutInflater inflater, android.view.ViewGroup container, android.os.Bundle savedInstanceState)` Called to have the fragment instantiate its user interface view.
    `void` | `onDetach()` Called when the fragment is no longer attached to its activity.
    `boolean` | `onOptionsItemSelected(android.view.MenuItem item)` This hook is called whenever an item in your options menu is selected.
    `void` | `onSaveInstanceState(android.os.Bundle outState)` Called to ask the fragment to save its current dynamic state, so it can later be reconstructed in a new instance of its process is restarted.
    `void` | `setUp(int fragmentId, android.support.v4.widget.DrawerLayout drawerLayout)` Users of this fragment must call this method to set up the navigation drawer interactions.

    - ### Methods inherited from class android.support.v4.app.Fragment

      `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getEnterTransition, getExitTransition, getFragmentManager, getId, getLayoutInflater, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, hashCode, hasOptionsMenu, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isMenuVisible, isRemoving, isResumed, isVisible, onActivityResult, onContextItemSelected, onCreateAnimation, onCreateContextMenu, onDestroy, onDestroyOptionsMenu, onDestroyView, onHiddenChanged, onInflate, onLowMemory, onOptionsMenuClosed, onPause, onPrepareOptionsMenu, onResume, onStart, onStop, onViewCreated, onViewStateRestored, registerForContextMenu, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, startActivity, startActivityForResult, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NavigationDrawerFragmentEdit

          public NavigationDrawerFragmentEdit()

  - ### Method Detail

    - #### onCreate

          public void onCreate(android.os.Bundle savedInstanceState)

      Description copied from class: `android.support.v4.app.Fragment`
      Called to do initial creation of a fragment. This is called after `Fragment.onAttach(Activity)` and before `Fragment.onCreateView(LayoutInflater, ViewGroup, Bundle)`.

      Note that this can be called while the fragment's activity is still in the process of being created. As such, you can not rely on things like the activity's content view hierarchy being initialized at this point. If you want to do work once the activity itself is created, see `Fragment.onActivityCreated(Bundle)`.

      Overrides:
        `onCreate` in class `android.support.v4.app.Fragment`
      Parameters:
        `savedInstanceState` - If the fragment is being re-created from a previous saved state, this is the state.

    - #### onActivityCreated

          public void onActivityCreated(android.os.Bundle savedInstanceState)

      Description copied from class: `android.support.v4.app.Fragment`
      Called when the fragment's activity has been created and this fragment's view hierarchy instantiated. It can be used to do final initialization once these pieces are in place, such as retrieving views or restoring state. It is also useful for fragments that use `Fragment.setRetainInstance(boolean)` to retain their instance, as this callback tells the fragment when it is fully associated with the new activity instance. This is called after `Fragment.onCreateView(android.view.LayoutInflater, android.view.ViewGroup, android.os.Bundle)` and before `Fragment.onViewStateRestored(Bundle)`.
      Overrides:
        `onActivityCreated` in class `android.support.v4.app.Fragment`
      Parameters:
        `savedInstanceState` - If the fragment is being re-created from a previous saved state, this is the state.

    - #### onCreateView

          public android.view.View onCreateView(android.view.LayoutInflater inflater,
                                       android.view.ViewGroup container,
                                       android.os.Bundle savedInstanceState)

      Description copied from class: `android.support.v4.app.Fragment`
      Called to have the fragment instantiate its user interface view. This is optional, and non-graphical fragments can return null (which is the default implementation). This will be called between `Fragment.onCreate(Bundle)` and `Fragment.onActivityCreated(Bundle)`.

      If you return a View from here, you will later be called in `Fragment.onDestroyView()` when the view is being released.

      Overrides:
        `onCreateView` in class `android.support.v4.app.Fragment`
      Parameters:
        `inflater` - The LayoutInflater object that can be used to inflate any views in the fragment,
        `container` - If non-null, this is the parent view that the fragment's UI should be attached to. The fragment should not add the view itself, but this can be used to generate the LayoutParams of the view.
        `savedInstanceState` - If non-null, this fragment is being re-constructed from a previous saved state as given here.
      Returns:
        Return the View for the fragment's UI, or null.

    - #### isDrawerOpen

          public boolean isDrawerOpen()

    - #### setUp

          public void setUp(int fragmentId,
                   android.support.v4.widget.DrawerLayout drawerLayout)

      Users of this fragment must call this method to set up the navigation drawer interactions.
      Parameters:
        `fragmentId` - The android:id of this fragment in its activity's layout.
        `drawerLayout` - The DrawerLayout containing this fragment's UI.

    - #### onAttach

          public void onAttach(android.app.Activity activity)

      Description copied from class: `android.support.v4.app.Fragment`
      Called when a fragment is first attached to its activity. `Fragment.onCreate(Bundle)` will be called after this.
      Overrides:
        `onAttach` in class `android.support.v4.app.Fragment`

    - #### onDetach

          public void onDetach()

      Description copied from class: `android.support.v4.app.Fragment`
      Called when the fragment is no longer attached to its activity. This is called after `Fragment.onDestroy()`.
      Overrides:
        `onDetach` in class `android.support.v4.app.Fragment`

    - #### onSaveInstanceState

          public void onSaveInstanceState(android.os.Bundle outState)

      Description copied from class: `android.support.v4.app.Fragment`
      Called to ask the fragment to save its current dynamic state, so it can later be reconstructed in a new instance of its process is restarted. If a new instance of the fragment later needs to be created, the data you place in the Bundle here will be available in the Bundle given to `Fragment.onCreate(Bundle)`, `Fragment.onCreateView(LayoutInflater, ViewGroup, Bundle)`, and `Fragment.onActivityCreated(Bundle)`.

      This corresponds to `Activity.onSaveInstanceState(Bundle)` and most of the discussion there applies here as well. Note however: this method may be called at any time before `Fragment.onDestroy()`. There are many situations where a fragment may be mostly torn down (such as when placed on the back stack with no UI showing), but its state will not be saved until its owning activity actually needs to save its state.

      Overrides:
        `onSaveInstanceState` in class `android.support.v4.app.Fragment`
      Parameters:
        `outState` - Bundle in which to place your saved state.

    - #### onConfigurationChanged

          public void onConfigurationChanged(android.content.res.Configuration newConfig)

      Description copied from interface: `android.content.ComponentCallbacks`
      Called by the system when the device configuration changes while your component is running. Note that, unlike activities, other components are never restarted when a configuration changes: they must always deal with the results of the change, such as by re-retrieving resources.

      At the time that this function has been called, your Resources object will have been updated to return resource values matching the new configuration.

      For more information, read Handling Runtime Changes.

      Specified by:
        `onConfigurationChanged` in interface `android.content.ComponentCallbacks`
      Overrides:
        `onConfigurationChanged` in class `android.support.v4.app.Fragment`
      Parameters:
        `newConfig` - The new device configuration.

    - #### onCreateOptionsMenu

          public void onCreateOptionsMenu(android.view.Menu menu,
                                 android.view.MenuInflater inflater)

      Description copied from class: `android.support.v4.app.Fragment`
      Initialize the contents of the Activity's standard options menu. You should place your menu items in to menu. For this method to be called, you must have first called `Fragment.setHasOptionsMenu(boolean)`. See `Activity.onCreateOptionsMenu` for more information.
      Overrides:
        `onCreateOptionsMenu` in class `android.support.v4.app.Fragment`
      Parameters:
        `menu` - The options menu in which you place your items.
      See Also:
        `Fragment.setHasOptionsMenu(boolean)`, `Fragment.onPrepareOptionsMenu(android.view.Menu)`, `Fragment.onOptionsItemSelected(android.view.MenuItem)`

    - #### onOptionsItemSelected

          public boolean onOptionsItemSelected(android.view.MenuItem item)

      Description copied from class: `android.support.v4.app.Fragment`
      This hook is called whenever an item in your options menu is selected. The default implementation simply returns false to have the normal processing happen (calling the item's Runnable or sending a message to its Handler as appropriate). You can use this method for any items for which you would like to do processing without those other facilities.

      Derived classes should call through to the base class for it to perform the default menu handling.

      Overrides:
        `onOptionsItemSelected` in class `android.support.v4.app.Fragment`
      Parameters:
        `item` - The menu item that was selected.
      Returns:
        boolean Return false to allow normal menu processing to proceed, true to consume it here.
      See Also:
        `Fragment.onCreateOptionsMenu(android.view.Menu, android.view.MenuInflater)`